.hidden {
    display: none;
}

.delete_line {
    text-decoration: line-through;
    text-decoration-thickness: 2px;
}

button {
    border: none;
    background: transparent;
    margin-right: 5px;
}

.background_img {
    background-image: "";
}

body {
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
    text-align: center;
    color: white;
    background-size: cover;
    background-position: center;
    background: rgba(none, none, none, 0.8);
    /* background: (0, 0, 0, 0.8); */
    /* top: 0;
    left: 0; */
}

#fanfic {
    position: absolute;
    top: 1%;
    left: 1%;
    text-align:left;
    padding: 5px;
}
#fanfic summary {
    padding-bottom: 5px;
}
#fanfic summary::marker {
    font-size: 0;
}
#fanfic a {
    padding-top: 10px;
    color: white;
    text-decoration: none;
}
#fanfic a:hover {
    font-weight: bold;
}

#clock {
    position: absolute;
    top: 35%;
    left: 50%;
    font-size: 500%;
    transform: translate(-50%, -50%);
}

#username {
    position: absolute;
    top: 54%;
    left: 50%;
    font-size: 120%;
    transform: translate(-50%, -50%);
}

input[type="text"] {
    border: none;
    border-bottom: 1px solid white;
    outline: none;
    background: transparent;
    text-align: center;
    height: 40px;
    box-sizing: border-box;
    color: white;
    font-size: large;
}

input[type="text"]:focus::placeholder {
    color: black;
}

#login-form {
    position: absolute;
    top: 58%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#todo-add input {
    position: absolute;
    width: 10%;
    height: 20px;
    top: 66%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#todo-box {
    position: absolute;
    overflow: auto;
    height: 19%;/*max-height로 바꾸면 중간에서부터 todo-list 추가되면서 크기 늘어남*/
    min-width: 10%;
    top: 80%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#todo-box::-webkit-scrollbar {
    width: 5px;
}

#todo-box::-webkit-scrollbar-track {
    background: transparent;
}

#todo-box::-webkit-scrollbar-thumb {
    height: 20%;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.3);
}

#todo-list {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    list-style: decimal;
    text-align-last: left;
    padding-left: 0px;
    padding-right: 20px;
    margin: 0px;
}

/* #todo-list li::marker {
    align-items: center;
} */

#quote span {
    position: absolute;
    font-weight: bold;
    top: 94%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#weather {

}